import { RequestOptionsWithDefaults } from './internal-types';
import { ChunkedFile, ChunkedUploadSuccess, UploadCallback } from './public-types';
export declare function getChunkedFile(file: File, chunkSize: number, uid: string, callback?: UploadCallback): ChunkedFile;
export declare function uploadChunkedFile<T>(url: string, chunkedFile: ChunkedFile, options: RequestOptionsWithDefaults): Promise<ChunkedUploadSuccess<T>>;
export declare function getProgress(chunkedFile: ChunkedFile): number;
