var w = Object.defineProperty;
var g = (o, t, e) => t in o ? w(o, t, { enumerable: !0, configurable: !0, writable: !0, value: e }) : o[t] = e;
var u = (o, t, e) => (g(o, typeof t != "symbol" ? t + "" : t, e), e);
class p extends Error {
  constructor(e, a, r, s) {
    super(e);
    u(this, "chunkedFile");
    u(this, "response");
    u(this, "originalError");
    this.chunkedFile = a, this.response = r, this.originalError = s;
  }
}
function h(o, t, e, a) {
  let r = 0, s = t;
  const n = [];
  for (; r < o.size; )
    n.push({ blob: o.slice(r, s), index: n.length, isUploaded: !1, uploaded: 0 }), r = s, s = r + t;
  return {
    chunks: n,
    originalFile: o,
    uid: e,
    callback: a
  };
}
async function c(o, t, e, a) {
  let r;
  if (a.setFormData)
    r = a.setFormData(t, e);
  else {
    r = new FormData();
    const l = new Blob([t.blob], { type: e.originalFile.type });
    r.append("file", l, e.originalFile.name), r.append("metadata.uploadUid", e.uid), r.append("metadata.chunkIndex", t.index.toString()), r.append("metadata.totalChunks", e.chunks.length.toString()), r.append("metadata.totalFileSize", e.originalFile.size.toString());
  }
  const s = new XMLHttpRequest(), n = await new Promise((l) => {
    s.upload.addEventListener("progress", (d) => {
      d.lengthComputable && (t.uploaded = t.blob.size < d.loaded ? t.blob.size : d.loaded, e.callback && e.callback(m(e), e.uid));
    }), s.addEventListener("loadend", () => {
      l(s.readyState === 4 && Math.floor(s.status / 100) === 2);
    }), s.open("POST", o, !0), a.headers.Authorization && s.setRequestHeader("Authorization", a.headers.Authorization), s.withCredentials = a.withCredentials, s.send(r);
  }), i = JSON.parse(s.response);
  if (n)
    return t.isUploaded = !0, i;
  throw t.isUploaded = !1, t.uploaded = 0, new p("Upload failed", e, i);
}
async function f(o, t, e) {
  try {
    const a = t.chunks.filter((i) => !i.uploaded), r = a.length;
    r >= 2 && await c(o, a[0], t, e);
    const s = a.slice(1, -1).map((i) => c(o, i, t, e));
    await Promise.all(s);
    const n = await c(o, a[r - 1], t, e);
    if (!n)
      throw new p("Failed to upload", t);
    return {
      result: n,
      file: t.originalFile,
      uid: t.uid
    };
  } catch (a) {
    throw a instanceof p ? a : a instanceof Error ? new p(a.message, t, void 0, a) : new p("No actual error was thrown", t);
  }
}
function m(o) {
  return o.chunks.reduce((e, a) => e + a.uploaded, 0) / o.originalFile.size;
}
const b = 5 * 1024 * 1024;
function U(o, t = {}) {
  const a = {
    ...{
      chunkSize: b,
      headers: {},
      progressPollInterval: 500,
      withCredentials: !1
    },
    ...t
  };
  async function r(n, i, l) {
    const d = h(n, a.chunkSize, i, l);
    return f(o, d, a);
  }
  async function s(n) {
    return f(o, n, a);
  }
  return { uploadFile: r, retryUpload: s };
}
export {
  p as UploadFailedError,
  U as useChunkUpload
};
